<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <a4j:region>
        <h:inputHidden id="fileKeyword" name="#{id}"/>
        <rich:fileUpload fileUploadListener="#{uploadBean.uploadValidatorListener}" id="upload" maxFilesQuantity="1"
                         acceptedTypes="#{extensions}" listWidth="230px" immediateUpload="true"
                         addButtonClass="fileupload-addButton" uploadListClass="fileupload-uploadList"
                         addControlLabel="Upload a file (click or drop)" autoclear="true" immediate="true"
                         execute="@this">
            <a4j:ajax event="uploadcomplete" render="#{idsToRerender}"/>
        </rich:fileUpload>
    </a4j:region>
</ui:composition>
